syncprims-pmsm.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

This file contains implementations of reader-writer locking primitive using other primitives, IOW poor man's rwlock. It does not contain any include guards because it is only a fragment to be included by syncprims-{pthreads,win32}.h.

Definition in file syncprims-pmsm.h.